Name:           plasma-mediacenter
Version:        0.8.90
Release:        4%{?dist}
Summary:        A mediacenter user interface written with the Plasma framework

Group:          Applications/Multimedia
License:        GPLv2
URL:            http://download.kde.org/unstable/plasma-mediacenter/0.9/src/plasma-mediacenter-%{version}.tar.bz2.mirrorlist
Source0:        http://download.kde.org/unstable/plasma-mediacenter/0.9/src/plasma-mediacenter-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  plasma-mobile qt-mobility-devel kde-workspace-devel qt-devel qt-x11 oxygen-icon-theme taglib-devel phonon-devel
Requires:       plasma-mobile qt-mobility kdenetwork-fileshare-samba qt qt-x11 phonon-backend-gstreamer fdupes

%description
A mediacenter user interface written with the Plasma framework


%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release} 
%description devel
%{summary}

%prep
%setup -q -n plasma-mediacenter

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} .. -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed"
popd
make %{?_smp_mflags} -C %{_target_platform}



%install
rm -rf %{buildroot}
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}

desktop-file-validate %{buildroot}%{_datadir}/applications/kde4/plasma-mediacenter.desktop

desktop-file-validate %{buildroot}%{_datadir}/kde4/services/localpictures.desktop
desktop-file-validate %{buildroot}%{_datadir}/kde4/services/localvideos.desktop
desktop-file-validate %{buildroot}%{_datadir}/kde4/services/metadatamusicbackend.desktop
desktop-file-validate %{buildroot}%{_datadir}/kde4/services/metadatapicturebackend.desktop
desktop-file-validate %{buildroot}%{_datadir}/kde4/services/metadatavideobackend.desktop

  for i in {16,22,32,48,64}; do
    mkdir -p %{buildroot}%{_kde4_iconsdir}/hicolor/"$i"x"$i"/apps
    cp -a %{_kde4_iconsdir}/oxygen/"$i"x"$i"/apps/plasma.png %{buildroot}%{_kde4_iconsdir}/hicolor/"$i"x"$i"/apps/plasma-media-center.png;
  done

mv %{buildroot}%{_kde4_libdir}/kde4/pmc_*.so %{buildroot}%{_kde4_libdir}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README LICENSE
%{_kde4_appsdir}/plasma
%{_kde4_bindir}/plasma-mediacenter
%{_kde4_datadir}/applications/kde4/plasma-mediacenter.desktop
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/servicetypes/pmc_browsingbackend.desktop
%{_kde4_libdir}/kde4/imports/*/*/*
%{_kde4_libdir}/libplasmamediacenter*
%{_kde4_libdir}/pmc_*.so

%{_kde4_iconsdir}/hicolor/*/*/*

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/mediacenter


%changelog
* Wed Sep 12 2012 siddharth <siddharth.kde@gmail.com> - 0.8.90-4
- Fix installing plugins path

* Thu Jun 14 2012 Siddharth Sharma <siddharth.kde@gmail.com> - 0.8.90-3
- Packaging Fixes
- Package update Beta Release

* Sun Jun 03 2012 siddharth <siddharth.kde@gmail.com> - 0.9-2
- rebuilt for devel package split

* Sat Jun 2 2012 siddharth Sharma <siddharths@fedoraproject.org> - 0.9-1
- Initial Release 1

